Data Hub
Files

Update a file

Requires scope `files:update`.

PATCH
/files/{fileId}

Requires scope files:update.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

fileId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/files/1" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "instrument_run_id": "09e81fd0-3875-4ea7-a8b5-166f38633c23",  "filename": "string",  "relative_path": "string",  "s3_bucket": "string",  "s3_key": "string",  "content_type": "string",  "size_bytes": 0,  "category": "raw",  "status": "detected",  "metadata": {    "property1": null,    "property2": null  },  "error_message": "string",  "detected_at": "2019-08-24T14:15:22Z",  "upload_requested_at": "2019-08-24T14:15:22Z",  "uploaded_at": "2019-08-24T14:15:22Z",  "processed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "file_created_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}